<profile>

<section name = "Vivado HLS Report for 'hls_macc'" level="0">
<item name = "Date">Mon Nov 25 18:03:34 2019
</item>
<item name = "Version">2019.1 (Build 2552052 on Fri May 24 15:28:33 MDT 2019)</item>
<item name = "Project">vhls_prj</item>
<item name = "Solution">solution1</item>
<item name = "Product family">zynq</item>
<item name = "Target device">xc7z020-clg484-1</item>
</section>

<section name = "Performance Estimates" level="0">
<item name = "Timing (ns)">
<section name = "" level="1">
<item name = "Summary"><table name="" hasTotal="0">
<keys size="4">Clock, Target, Estimated, Uncertainty</keys>
<column name="ap_clk">4.00, 6.562, 0.50</column>
</table>
</item>
</section>
</item>
<item name = "Latency (clock cycles)">
<section name = "" level="1">
<item name = "Summary"><table name="" hasTotal="0">
<keys size="6">, min, max, min, max, Type</keys>
<column name="">5901, 5901, 5901, 5901, none</column>
</table>
</item>
<item name = "Detail">
<section name = "" level="1">
<item name = "Instance"><table name="" hasTotal="0">
<keys size="7">Instance, Module, min, max, min, max, Type</keys>
</table>
</item>
<item name = "Loop"><table name="" hasTotal="0">
<keys size="8">Loop Name, min, max, Latency, achieved, target, Count, Pipelined</keys>
<column name="- Loop 1">5900, 5900, 59, -, -, 100, no</column>
</table>
</item>
</section>
</item>
</section>
</item>
</section>

<section name = "Utilization Estimates" level="0">
<item name = "Summary"><table name="" hasTotal="1">
<keys size="6">Name, BRAM_18K, DSP48E, FF, LUT, URAM</keys>
<column name="DSP">-, -, -, -, -</column>
<column name="Expression">-, -, 0, 41, -</column>
<column name="FIFO">-, -, -, -, -</column>
<column name="Instance">0, 14, 2450, 2724, -</column>
<column name="Memory">-, -, -, -, -</column>
<column name="Multiplexer">-, -, -, 339, -</column>
<column name="Register">-, -, 410, -, -</column>
<specialColumn name="Available">280, 220, 106400, 53200, 0</specialColumn>
<specialColumn name="Utilization (%)">0, 6, 2, 5, 0</specialColumn>
</table>
</item>
<item name = "Detail">
<section name = "" level="1">
<item name = "Instance"><table name="" hasTotal="1">
<keys size="7">Instance, Module, BRAM_18K, DSP48E, FF, LUT, URAM</keys>
<column name="hls_macc_HLS_MACC_PERIPH_BUS_s_axi_U">hls_macc_HLS_MACC_PERIPH_BUS_s_axi, 0, 0, 176, 296, 0</column>
<column name="hls_macc_dadddsub_64ns_64ns_64_16_full_dsp_1_U1">hls_macc_dadddsub_64ns_64ns_64_16_full_dsp_1, 0, 3, 1112, 1110, 0</column>
<column name="hls_macc_dmul_64ns_64ns_64_18_max_dsp_1_U2">hls_macc_dmul_64ns_64ns_64_18_max_dsp_1, 0, 11, 613, 693, 0</column>
<column name="hls_macc_sitodp_32ns_64_8_1_U3">hls_macc_sitodp_32ns_64_8_1, 0, 0, 549, 625, 0</column>
</table>
</item>
<item name = "DSP48E"><table name="" hasTotal="0">
<keys size="3">Instance, Module, Expression</keys>
</table>
</item>
<item name = "Memory"><table name="" hasTotal="1">
<keys size="10">Memory, Module, BRAM_18K, FF, LUT, URAM, Words, Bits, Banks, W*Bits*Banks</keys>
</table>
</item>
<item name = "FIFO"><table name="" hasTotal="1">
<keys size="8">Name, BRAM_18K, FF, LUT, URAM, Depth, Bits, Size:D*B</keys>
</table>
</item>
<item name = "Expression"><table name="" hasTotal="1">
<keys size="7">Variable Name, Operation, DSP48E, FF, LUT, Bitwidth P0, Bitwidth P1</keys>
<column name="add_ln11_fu_115_p2">+, 0, 0, 15, 9, 9</column>
<column name="i_fu_121_p2">+, 0, 0, 15, 7, 1</column>
<column name="icmp_ln10_fu_101_p2">icmp, 0, 0, 11, 7, 6</column>
</table>
</item>
<item name = "Multiplexer"><table name="" hasTotal="1">
<keys size="5">Name, LUT, Input Size, Bits, Total Bits</keys>
<column name="ap_NS_fsm">261, 61, 1, 61</column>
<column name="grp_fu_75_opcode">15, 3, 2, 6</column>
<column name="grp_fu_75_p0">15, 3, 64, 192</column>
<column name="grp_fu_75_p1">15, 3, 64, 192</column>
<column name="grp_fu_84_p0">15, 3, 32, 96</column>
<column name="i_0_reg_64">9, 2, 7, 14</column>
<column name="s_0_reg_51">9, 2, 64, 128</column>
</table>
</item>
<item name = "Register"><table name="" hasTotal="1">
<keys size="5">Name, FF, LUT, Bits, Const Bits</keys>
<column name="add_ln11_reg_144">9, 0, 9, 0</column>
<column name="ap_CS_fsm">60, 0, 60, 0</column>
<column name="i_0_reg_64">7, 0, 7, 0</column>
<column name="i_reg_149">7, 0, 7, 0</column>
<column name="reg_87">64, 0, 64, 0</column>
<column name="s_0_reg_51">64, 0, 64, 0</column>
<column name="tmp_2_reg_159">64, 0, 64, 0</column>
<column name="tmp_3_reg_164">64, 0, 64, 0</column>
<column name="x_read_reg_131">64, 0, 64, 0</column>
<column name="zext_ln10_1_reg_136">7, 0, 32, 25</column>
</table>
</item>
</section>
</item>
</section>

<section name = "Interface" level="0">
<item name = "Summary"><table name="" hasTotal="0">
<keys size="6">RTL Ports, Dir, Bits, Protocol, Source Object, C Type</keys>
<column name="s_axi_HLS_MACC_PERIPH_BUS_AWVALID">in, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_AWREADY">out, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_AWADDR">in, 6, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_WVALID">in, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_WREADY">out, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_WDATA">in, 32, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_WSTRB">in, 4, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_ARVALID">in, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_ARREADY">out, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_ARADDR">in, 6, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_RVALID">out, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_RREADY">in, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_RDATA">out, 32, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_RRESP">out, 2, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_BVALID">out, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_BREADY">in, 1, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="s_axi_HLS_MACC_PERIPH_BUS_BRESP">out, 2, s_axi, HLS_MACC_PERIPH_BUS, pointer</column>
<column name="ap_clk">in, 1, ap_ctrl_hs, hls_macc, return value</column>
<column name="ap_rst_n">in, 1, ap_ctrl_hs, hls_macc, return value</column>
<column name="interrupt">out, 1, ap_ctrl_hs, hls_macc, return value</column>
</table>
</item>
</section>
</profile>
